Bug 1129056 - [abrt] gnome-boxes: _g_log_abort(): gnome-boxes killed by SIGABRT
Summary: [abrt] gnome-boxes: _g_log_abort(): gnome-boxes killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-boxes
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:78293fb709b868c6155e58bc30e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 07:53 UTC by kubrick@fgv6.net
Modified: 2015-06-29 22:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:01:59 UTC


Attachments (Terms of Use)
File: backtrace (53.55 KB, text/plain)
2014-08-12 07:53 UTC, kubrick@fgv6.net
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-12 07:53 UTC, kubrick@fgv6.net
no flags Details
File: core_backtrace (30.78 KB, text/plain)
2014-08-12 07:53 UTC, kubrick@fgv6.net
no flags Details
File: dso_list (19.89 KB, text/plain)
2014-08-12 07:53 UTC, kubrick@fgv6.net
no flags Details
File: environ (1.39 KB, text/plain)
2014-08-12 07:53 UTC, kubrick@fgv6.net
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-12 07:53 UTC, kubrick@fgv6.net
no flags Details
File: maps (97.85 KB, text/plain)
2014-08-12 07:53 UTC, kubrick@fgv6.net
no flags Details
File: open_fds (2.12 KB, text/plain)
2014-08-12 07:53 UTC, kubrick@fgv6.net
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2014-08-12 07:53 UTC, kubrick@fgv6.net
no flags Details
File: var_log_messages (3.75 KB, text/plain)
2014-08-12 07:53 UTC, kubrick@fgv6.net
no flags Details

Description kubrick@fgv6.net 2014-08-12 07:53:26 UTC
Description of problem:
It *may* be because a new file was added to the directory I was browsing isos for from within boxes.

Version-Release number of selected component:
gnome-boxes-3.10.2-3.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gnome-boxes
crash_function: _g_log_abort
executable:     /usr/bin/gnome-boxes
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 _gtk_rbtree_insert_after at gtkrbtree.c:465
 #6 gtk_tree_view_row_inserted at gtktreeview.c:8918
 #11 gtk_tree_model_row_inserted at gtktreemodel.c:1820
 #12 emit_row_inserted_for_node at gtkfilesystemmodel.c:309
 #13 node_set_visible_and_filtered_out at gtkfilesystemmodel.c:359
 #14 node_compute_visibility_and_filters at gtkfilesystemmodel.c:481
 #15 add_file at gtkfilesystemmodel.c:1867
 #16 _gtk_file_system_model_update_file at gtkfilesystemmodel.c:1941
 #17 gtk_file_system_model_query_done at gtkfilesystemmodel.c:1226

Comment 1 kubrick@fgv6.net 2014-08-12 07:53:30 UTC
Created attachment 925956 [details]
File: backtrace

Comment 2 kubrick@fgv6.net 2014-08-12 07:53:32 UTC
Created attachment 925957 [details]
File: cgroup

Comment 3 kubrick@fgv6.net 2014-08-12 07:53:35 UTC
Created attachment 925958 [details]
File: core_backtrace

Comment 4 kubrick@fgv6.net 2014-08-12 07:53:36 UTC
Created attachment 925959 [details]
File: dso_list

Comment 5 kubrick@fgv6.net 2014-08-12 07:53:39 UTC
Created attachment 925960 [details]
File: environ

Comment 6 kubrick@fgv6.net 2014-08-12 07:53:40 UTC
Created attachment 925961 [details]
File: limits

Comment 7 kubrick@fgv6.net 2014-08-12 07:53:44 UTC
Created attachment 925962 [details]
File: maps

Comment 8 kubrick@fgv6.net 2014-08-12 07:53:45 UTC
Created attachment 925963 [details]
File: open_fds

Comment 9 kubrick@fgv6.net 2014-08-12 07:53:46 UTC
Created attachment 925964 [details]
File: proc_pid_status

Comment 10 kubrick@fgv6.net 2014-08-12 07:53:47 UTC
Created attachment 925965 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 12:36:58 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 22:01:59 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.